@use "variables";

.titled-subtitled-icon-item {
    display: flex;
    flex-direction: column;

    @media not screen and (max-width: variables.$mobile-width) {
        flex-direction: row-reverse;
        justify-content: space-between;

        .icon-container {
            width: 33.3%;
            margin: auto
        }

        .text-container {
            width: 66.6%;
        }
    }

    .icon-container {
        img {
            display: flex;
            align-self: center;
            margin-right: auto;
            margin-left: auto;
            padding: 0;
            height: variables.$default-icon-height;
            max-width: 100%;
        }

        padding-bottom: 1.5rem;
    }

}